<?php

// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('TIPO_AUSENTISMO', 'doctrine');

/**
 * Description of BaseTIPO_AUSENTISMO
 *
 * @author Manuel Enrique Paredes Lopez
 */
abstract class BaseTIPO_AUSENTISMO extends sfDoctrineRecord
{
    public function setTableDefinition()
    {
        $this->setTableName('TIPO_AUSENTISMO');
        
        $this->hasColumn('id', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
        $this->hasColumn('nombre', 'string', 512, array(
             'notnull' => true,
             'type' => 'string',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 512,
             ));

        $this->hasColumn('estado', 'integer', 1, array(
             'notnull' => true,
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 1,
             ));
    }
    
    public function setUp()
    {
        parent::setUp();
    }
}
